<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Desafío Vue.js</title>

    <!-- Local CSS -->
    <link rel="stylesheet" type="text/css" href="estilo.css">
    <link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet">
</head>

<body>
    <section id="form" class="center">
        <div class="title text-center">
            Añadir un producto
        </div>
        <div class="form">
            <div class="input_field">
                <label>Nombre</label>
                <input type="text" class="input" id="in_name">
            </div>
            <div class="input_field">
                <label>Descripción</label>
                <input type="text" class="input" id="in_desc">
            </div>
            <div class="input_field">
                <label>Precio</label>
                <input type="text" class="input" id="in_price">
            </div>
            <div class="input_field">
                <input type="submit" value="Añadir" class="btn" id="add_btn">
            </div>
        </div>
    </section>

    <section id="table">
        <table>
            <thead>
                <tr>
                    <th>
                        Nombre
                    </th>
                    <th>
                        Descripción
                    </th>
                    <th>
                        Precio
                    </th>
                    <th> 
                        
                    </th>
                    <th>
                        
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(product, index) in products" :key="index">
                    <th>{{product.name}}</th>
                    <th>{{product.desc}}</th>
                    <th>${{product.price}}</th>
                    <th>
                        <button type="button" @click="updateProduct(index)"><i class="fa fa-refresh"></i></button>
                    </th>
                    <th>
                        <button type="button" @click="deleteProduct(index)"><i class="fa fa-trash"></i></button>
                    </th>
                </tr>
            </tbody>
        </table>
    </section>


    <!-- Vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous"></script>

    <!-- Javascript -->
    <script src="code.js"></script>

    <!-- Font Awesome Icons -->
    <script src="https://kit.fontawesome.com/8f04ce7e1f.js" crossorigin="anonymous"></script>

    
</body>

</html>